Jump to content

Fallo en Paypal 3.6.1


Recommended Posts

Hola hoy 11-10 hemos actualizado paypal a 3.6.1 (que miedo) y no hay forma de hacerlo funcionar, simplemente no responde al intentar hacer el pago por ese medio.

 

El caso es que al restaurar el anterior y borrar cache,cookies y lo que se tercie, (incluyendo reinstalación, y desinstalación y descarga manual del addons) TAMPOCO FUNCIONA.

 

Alguno tiene hoy algun problema con paypal europa (concretamente spain)

 

Estamos con PS 1.5.6 y por lo menos ayer si nos funcionaba correctamente la 3.6.0, al no funcionar la restauración igual es problema de ellos.

Edited by moraira (see edit history)

Share this post


Link to post
Share on other sites

A mí tampoco me funciona. A ver si alguien puede ayudarnos.

 

bossmista, prueba a agregar paypal express (que a mi mucho no me gusta, aunque funciona correctamente) y como solucion temporal es válida

 

---------------------------------------------------------------------------------

 

Vamos afinando un poco más... los problemas son sólo con el módulo paypal y google chrome, y lo que no vá es la API pero sin embargo si funciona correctamente el boton paypal express.
 
No aparece ningún mensaje de error, simplemente la opción de pago paypal no hace nada al hacer click encima, (hemos probado a eliminar otros medios de pago por si se tratase de alguna incompatibilidad... recientemente empezamos con trustly. Pero nada tienen que ver)
 
El fallo ocurre con Prestashop 1.5.6 y paypal 3.6.1 SIN EMBARGO LO RARO es que hemos restaurado los módulos 3.6.0 y 3.5.8 y tampoco funcionan. Incluso restaurando Prestashop 1.5.5 tampoco.
 
AHORA VIENE LO BUENO, sólo pasa con Google chrome. Hemos testeado Safari, Explorer y Firefox... y va correctamente (de todos ellos últimas versiones)
 
Estos días probaremos otro servidor aunque, pensamos que será un problema de paypal y java.
 
QUE TAL OS FUNCIONA A VOSOTROS, ALGUIEN MÁS HA DETECTADO ESTO ?
Edited by moraira (see edit history)

Share this post


Link to post
Share on other sites

Hola a todos ! Yo tengo el mismo el problema y aun no consigo dar con la solucion. Si lo se no actualizo nada :(

Si alguien sabe algo por favor que lo comente en el foro. Como dice Moraira, paypal express funciona ( aunque para mi no es una solucion y que el boton de pago express se encuentra abajo del todo y no lo ve nadie ) pero no me funciona cuando hacen el pago con los 5 pasos. Estoy desesperada.

 

www.monpetitdelice.com

Share this post


Link to post
Share on other sites

Bueno he conseguido que funcione al final. En prestashop, preferencias, pedidos, usando "modo proceso de pedido" 1 pagina, en vez de paso a paso 5 paginas, funciona perfectamente. Algo es algo .. Me gustaba mas el proceso en 5 pasos, pero hasta que no haya una solucion, con esta me conformo :)

Espero que os sirva !

Saludos !

  • Like 1

Share this post


Link to post
Share on other sites

TOMA YA... pues esto si que es raro.

 

Nosotros también lo hemos solucionado así, pero al revés, hemos cambiado el proceso de compra de 1 página a 5 pasos. y asúnto solucionado... A mi la verdad es que me parece más cómodo para el usuario el proceso en una página (aunque es más lento...)

Share this post


Link to post
Share on other sites

Genial Moraira, me alegro que te haya funcionado .. A mi todavia me funciona asi que no toco nada mas :)

Bossmista, prueba a desinstalar el modulo de paypal y borrar la carpeta de paypal en tu ftp .. Despues vuelve a instalarlo y prueba lo que hemos comentado, capaz que te funcione ..

Un saludo !

Share this post


Link to post
Share on other sites

alguna manera de descargar la versión anterior del modulo paypal???

 

Para Prestashop 1.4, te descargabas tu version de la 1.4.X https://code.google.com/p/prestashop/downloads/list y tenias el directorio /modules/paypal/

 

Para Prestashop 1.5, creo que no iba ningun directorio paypal en el directorio modules por defecto, ya que te lo baja la ultima versión del modulo de paypal automaticamente de addons en Prestashop 1.5 y luego si te instala el directorio pero de la ultima version de ese momento, creo que para Prestashop 1.5, no existe un repositorio de modulos de paypal antiguos, tendrás que buscar por el foro y buscar suerte para ver si alguien lo tiene.

Share this post


Link to post
Share on other sites

Para Prestashop 1.4, te descargabas tu version de la 1.4.X https://code.google.com/p/prestashop/downloads/list y tenias el directorio /modules/paypal/

 

Para Prestashop 1.5, creo que no iba ningun directorio paypal en el directorio modules por defecto, ya que te lo baja la ultima versión del modulo de paypal automaticamente de addons en Prestashop 1.5 y luego si te instala el directorio pero de la ultima version de ese momento, creo que para Prestashop 1.5, no existe un repositorio de modulos de paypal antiguos, tendrás que buscar por el foro y buscar suerte para ver si alguien lo tiene.

Eso me ando percantando :(

descargue y no encontre, 2 consultas, osea es seguro que el modulo con la versión actual de paypal esta fallando? alguna novedad con ello?

yo tengo la ultima versión de prestashop, sera compatible con la versión de paypal de Prestashop 1.4? .. saludos

Share this post


Link to post
Share on other sites

Eso me ando percantando :(

descargue y no encontre, 2 consultas, osea es seguro que el modulo con la versión actual de paypal esta fallando? alguna novedad con ello?

yo tengo la ultima versión de prestashop, sera compatible con la versión de paypal de Prestashop 1.4? .. saludos

Desconozco si existe alguna novedad, soy un simple usuario como tu, no tengo ningún relación con la Empresa Prestashop, lo unico que leo es lo que veo en el foro, y por lo que leo varios usuarios tienen problemas y eso no parece una casualidad.

 

Referente a si un modulo de paypal para Prestashop 1.4 es compatible con Prestashop 1.5, pues no lo he probado nunca, asi que no sabria decirte.

Share this post


Link to post
Share on other sites

Bueno por matizar lo que comenta Sergio, nosotros hemos restaurado paypal 3.6.0, 3.5.8 y 3.5.7 y nos pasaba lo mismo. Incluso con la plantilla default, lo que es más raro todavía.

 

Fue cambiar a proceso de compra en 5 etapas y asunto solucionado. y por el momento PS 1.5.6 y PP 3.6.1 nos funciona correctamente.

 

IMPORTANTE: hay que acostumbrarse a copiar los directorios de los módulos que actualicemos antes de hacerlo, y por supuesto hacer una copia completa de la tienda cada x días (en nuestro caso x = 1)

Share this post


Link to post
Share on other sites
  • 1 month later...

Hola.

 

Yo tengo el mismo problema y no me funciona en ningún navegador, ni poniendo pago Express. ¿Habéis conseguido encontrar alguna solución? En un foro inglés decía que esto ocurre porque PaypalAPI ha bloqueado la IP del servidor... He mandado un correo a Paypal, y a mi Hosting, por si en alguno de los dos sentidos están bloqueando alguna dirección y aún no he obtenido respuesta.

 

Os mantengo informados, por si os interesa, con lo que me respondan.

Share this post


Link to post
Share on other sites
  • 5 weeks later...
  • 2 weeks later...

Bueno tenemos actualización nueva de Paypal, es la 3.6.4, nosotros tenemos instalada la 3.6.1 y por el momento nos funciona de maravilla, eso sí, tuvimos que cambiar el proceso de compra a 5 pasos porque con 1 no funcionaba. (PS 1.5.6.1)

 

RECOMENDACION para Paypal: aunque nosotros lo hacemos con todos, siempre antes de actualizar cualquier módulo haced una copia de seguridad de la base de datos y del módulo en sí, así en caso de fallo se puede volver atras.

 

Luego cuando nos atrevamos a actualizar os cuento los cambios...

Share this post


Link to post
Share on other sites

Mi problema es parecido, directamente en el último paso del proceso de pago en 5 etapas me dice que los módulos de pago no están instalados con lo que no se puede seguir, sin embargo como funciona el pago expres de paypal.

Pero de varias tiendas cada una presenta un problema diferente, y otra funciona correctamente.

todas en la 1.5.4.1

Share this post


Link to post
Share on other sites
  • 1 month later...
  • 1 month later...

Hola a todos,

 

Llevo días intentando resolver este problema. En mi caso uso one page checkout y en safari y chrome el botón no hace nada, no hace la llamada a la API de Paypal. Sí funciona con Mozilla y con el pago en 5 pasos.

 

He escrito a los desarrolladores del módulo y no contestan por ahora. Paypal me dice que no es su problema.

 

¿Algún usuario ha dado con la solución?

 

Gracias

Share this post


Link to post
Share on other sites

Por si a alguien le sirve, aunque tras muchas peleas de código y mensajes a paypal no encontré como subsanar el módulo para que funcionase en un paso, encontré una versión antigua de paypal que hasta la fecha funciona bien para compra en 1 paso. Es la versión 3.0.9. La dejo aquí por si alguien la necesita. :)

 

 


paypal.zip

  • Like 1

Share this post


Link to post
Share on other sites
  • 2 months later...

que mal que paypal no se haga responsable, pues una cosa es que le falle a un usuario pero que falle a varios ya es problema de ellos, pues no hay forma que todos estemos cometiendo el mismo error.

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More